import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Explosion extends Actor
{
    private int zaehler = 0;
    
    public Explosion() {
        Greenfoot.playSound("explosion.wav");
    }
    public void act() 
    {
        this.zaehler = this.zaehler + 1;
        
        // Nach 100 act-Zyklen soll das Explosionobjekt verschwinden
        if(this.zaehler > 100) {
            this.getWorld().removeObject(this);
        }
    }    
}